# Class ContentStopEventData

Namespace
  AnthropicClient.Models

Assembly
  AnthropicClient.dll

Represents data for a content_block_stop event.

    public class ContentStopEventData : EventData

Inheritance
  object
  EventData
  ContentStopEventData

Inherited Members
  EventData.Type
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Constructors

### ContentStopEventData(int)

Initializes a new instance of the ContentStopEventData class.

    public ContentStopEventData(int index)

#### Parameters

`index` int

  The index of the content block.

## Properties

### Index

Gets the index of the content block.

    public int Index { get; init; }

#### Property Value

int